{ pkgs, ... }: {
  # Apple T2 machines often need additional Broadcom firmware not shipped in
  # linux-firmware. Firmware is stored in this host directory.
  hardware.firmware = [
    (pkgs.stdenvNoCC.mkDerivation (final: {
      name = "t2mbp-brcm-firmware";
      src = ./firmware/brcm;
      installPhase = ''
        mkdir -p "$out/lib/firmware/brcm"
        cp -v ${final.src}/* "$out/lib/firmware/brcm"
      '';
    }))
  ];
}
